//---------------Rubric---------------------
export const CHANGE_RUBRIC_STATUS_REQUEST = "CHANGE_RUBRIC_STATUS_REQUEST";
export const CHANGE_RUBRIC_STATUS_SUCCESS = "CHANGE_RUBRIC_STATUS_SUCCESS";
export const CHANGE_RUBRIC_STATUS_ERROR = "CHANGE_RUBRIC_STATUS_ERROR";

export const REMOVE_RUBRIC_REQUEST = "REMOVE_RUBRIC_REQUEST";
export const REMOVE_RUBRIC_SUCCESS = "REMOVE_RUBRIC_SUCCESS";
export const REMOVE_RUBRIC_ERROR = "REMOVE_RUBRIC_ERROR";

export const EXPORT_RUBRIC_AS_PDF_REQUEST = "EXPORT_RUBRIC_AS_PDF_REQUEST";
export const EXPORT_RUBRIC_AS_PDF_SUCCESS = "EXPORT_RUBRIC_AS_PDF_SUCCESS";
export const EXPORT_RUBRIC_AS_PDF_ERROR = "EXPORT_RUBRIC_AS_PDF_ERROR";

export const GET_RUBRIC_BY_ID_REQUEST = "GET_RUBRIC_BY_ID_REQUEST";
export const GET_RUBRIC_BY_ID_SUCCESS = "GET_RUBRIC_BY_ID_SUCCESS";
export const GET_RUBRIC_BY_ID_ERROR = "GET_RUBRIC_BY_ID_ERROR";
//------------------------------------------------

//---------------Question Set---------------------
export const INITIATE_QUESTION_SET_FORMATE = "INITIATE_QUESTION_SET_FORMATE";
export const FILL_QUESTION_SET_INFO = "FILL_QUESTION_SET_INFO";
export const CREATE_QUESTION_SET_GROUP = "CREATE_QUESTION_SET_GROUP";
export const CREATE_NEW_QUESTION = "CREATE_NEW_QUESTION";
export const REMOVE_QUESTION_GROUP = "REMOVE_QUESTION_GROUP";
export const REMOVE_QUESTION_TYPE = "REMOVE_QUESTION_TYPE";
export const FILL_DATA_TO_QUESTION_TYPE = "FILL_DATA_TO_QUESTION_TYPE";
export const CREATE_QUESTION_SET_REQUEST = "CREATE_QUESTION_SET_REQUEST";
export const CREATE_QUESTION_SET_SUCCESS = "CREATE_QUESTION_SET_SUCCESS";
export const CREATE_QUESTION_SET_ERROR = "CREATE_QUESTION_SET_ERROR";
export const ADD_CHOICES_TO_QUESTION = "ADD_CHOICES_TO_QUESTION";
export const FILL_DATA_IN_CHOICES_QUESTIONS = "FILL_DATA_IN_CHOICES_QUESTIONS";
export const REMOVE_CHOICE_FROM_QUESTION = "REMOVE_CHOICE_FROM_QUESTION";
export const ADD_PAIRS_TO_MATCH_QUESTION = "ADD_PAIRS_TO_MATCH_QUESTION";
export const FILL_DATA_IN_CORRECT_ANSWER_TO_SOME_QUESTIONS = "FILL_DATA_IN_CORRECT_ANSWER_TO_SOME_QUESTIONS";

export const ADD_BEHAVIOR_TO_QUESTION_SET_FROM_MODULE_CONTENT_REQUEST = "ADD_BEHAVIOR_TO_QUESTION_SET_FROM_MODULE_CONTENT_REQUEST";
export const ADD_BEHAVIOR_TO_QUESTION_SET_FROM_MODULE_CONTENT_SUCCESS = " ADD_BEHAVIOR_TO_QUESTION_SET_FROM_MODULE_CONTENT_SUCCESS";
export const ADD_BEHAVIOR_TO_QUESTION_SET_FROM_MODULE_CONTENT_ERROR = "ADD_BEHAVIOR_TO_QUESTION_SET_FROM_MODULE_CONTENT_ERROR";

export const CHANGE_BEHAVIOR_IN_MODULE_CONTENT = "CHANGE_BEHAVIOR_IN_MODULE_CONTENT";

export const CALCULATE_POINTS = "CALCULATE_POINTS";

export const ALL_QUESTION_SET_REQUEST = "ALL_QUESTION_SET_REQUEST";
export const ALL_QUESTION_SET_SUCCESS = "ALL_QUESTION_SET_SUCCESS";
export const ALL_QUESTION_SET_ERROR = "ALL_QUESTION_SET_ERROR";

export const PUBLISH_AND_UN_PUBLISH_QUESTION_SET_REQUEST = "PUBLISH_AND_UN_PUBLISH_QUESTION_SET_REQUEST";
export const PUBLISH_AND_UN_PUBLISH_QUESTION_SET_SUCCESS = "PUBLISH_AND_UN_PUBLISH_QUESTION_SET_SUCCESS";
export const PUBLISH_AND_UN_PUBLISH_QUESTION_SET_ERROR = "PUBLISH_AND_UN_PUBLISH_QUESTION_SET_ERROR";

export const REMOVE_QUESTION_SET_REQUEST = "REMOVE_QUESTION_SET_REQUEST";
export const REMOVE_QUESTION_SET_SUCCESS = "REMOVE_QUESTION_SET_SUCCESS";
export const REMOVE_QUESTION_SET_ERROR = "REMOVE_QUESTION_SET_ERROR";

export const QUESTION_SET_BY_ID_REQUEST = "QUESTION_SET_BY_ID_REQUEST";
export const QUESTION_SET_BY_ID_SUCCESS = "QUESTION_SET_BY_ID_SUCCESS";
export const QUESTION_SET_BY_ID_ERROR = "QUESTION_SET_BY_ID_ERROR";
export const UPDATE_QUESTION_SET_REQUEST = "UPDATE_QUESTION_SET_REQUEST";
export const UPDATE_QUESTION_SET_SUCCESS = "UPDATE_QUESTION_SET_SUCCESS";
export const UPDATE_QUESTION_SET_ERROR = "UPDATE_QUESTION_SET_ERROR";
export const SUBMISSIONS_QUESTION_SET_REQUEST = "SUBMISSIONS_QUESTION_SET_REQUEST";
export const SUBMISSIONS_QUESTION_SET_SUCCESS = "SUBMISSIONS_QUESTION_SET_SUCCESS";
export const SUBMISSIONS_QUESTION_SET_ERROR = "SUBMISSIONS_QUESTION_SET_ERROR";

export const DELETE_SUBMISSION_REQUEST = "DELETE_SUBMISSION_REQUEST";
export const DELETE_SUBMISSION_SUCCESS = "DELETE_SUBMISSION_SUCCESS";
export const DELETE_SUBMISSION_ERROR = "DELETE_SUBMISSION_ERROR";

export const GET_QUESTIONS_TO_SOLVE_REQUEST = "GET_QUESTIONS_TO_SOLVE_REQUEST";
export const GET_QUESTIONS_TO_SOLVE_SUCCESS = "GET_QUESTIONS_TO_SOLVE_SUCCESS";
export const GET_QUESTIONS_TO_SOLVE_ERROR = "GET_QUESTIONS_TO_SOLVE_ERROR";
export const GET_LEARNER_SOLUTION_TO_SOLVE_REQUEST = "GET_LEARNER_SOLUTION_TO_SOLVE_REQUEST";
export const GET_LEARNER_SOLUTION_TO_SOLVE_SUCCESS = "GET_LEARNER_SOLUTION_TO_SOLVE_SUCCESS";
export const GET_LEARNER_SOLUTION_TO_SOLVE_ERROR = "GET_LEARNER_SOLUTION_TO_SOLVE_ERROR";
export const GET_QUESTIONS_TO_REVIEW_REQUEST = "GET_QUESTIONS_TO_REVIEW_REQUEST";
export const GET_QUESTIONS_TO_REVIEW_SUCCESS = "GET_QUESTIONS_TO_REVIEW_SUCCESS";
export const GET_QUESTIONS_TO_REVIEW_ERROR = "GET_QUESTIONS_TO_REVIEW_ERROR";
export const SAVE_LEARNER_SOLUTION_REQUEST = "SAVE_LEARNER_SOLUTION_REQUEST";
export const SAVE_LEARNER_SOLUTION_SUCCESS = "SAVE_LEARNER_SOLUTION_SUCCESS";
export const SAVE_LEARNER_SOLUTION_ERROR = "SAVE_LEARNER_SOLUTION_ERROR";

export const FILL_DATA_TO_SOLVE = "FILL_DATA_TO_SOLVE";
export const CONFIRM_THE_SOLVE_TO_THE_QUESTION = "CONFIRM_THE_SOLVE_TO_THE_QUESTION";
export const RESET_SOLVE_QUESTION = "RESET_SOLVE_QUESTION";
export const SOLVED_PERCENTAGE = "SOLVED_PERCENTAGE";
export const INITIATE_QUESTION_SET_CORRECTION = "INITIATE_QUESTION_SET_CORRECTION";
export const ADD_FEEDBACK_TO_QUESTION = "ADD_FEEDBACK_TO_QUESTION";
export const CALC_QUESTIONS_MARK = "CALC_QUESTIONS_MARK";
export const ADD_TEACHER_FEEDBACK_TO_QS = "ADD_TEACHER_FEEDBACK_TO_QS";
export const CORRECTION_OF_QUESTIONS_REQUEST = "CORRECTION_OF_QUESTIONS_REQUEST";
export const CORRECTION_OF_QUESTIONS_SUCCESS = "CORRECTION_OF_QUESTIONS_SUCCESS";
export const CORRECTION_OF_QUESTIONS_ERROR = "CORRECTION_OF_QUESTIONS_ERROR";
export const FILL_DATA_TO_SOLVE_IN_ORDERING_QUESTION = "FILL_DATA_TO_SOLVE_IN_ORDERING_QUESTION";
export const CREATE_NEW_QUESTION_GROUP = "CREATE_NEW_QUESTION_GROUP";
export const ADD_DATA_TO_QUESTIONS_GROUP = "ADD_DATA_TO_QUESTIONS_GROUP";
export const CREATE_NEW_QUESTIONS_TO_QUESTION_GROUP = "CREATE_NEW_QUESTIONS_TO_QUESTION_GROUP";
export const CHANGE_ALL_REQUIRED_ANSWER_TO_FALSE = "CHANGE_ALL_REQUIRED_ANSWER_TO_FALSE";
export const INITIATE_SOLVE_QUESTIONS = "INITIATE_SOLVE_QUESTIONS";
export const DELETE_NEW_MODULE_CONTENT = "DELETE_NEW_MODULE_CONTENT";

export const ALL_QUESTION_SET_FOR_COURSE_REQUEST = "ALL_QUESTION_SET_FOR_COURSE_REQUEST";
export const ALL_QUESTION_SET_FOR_COURSE_SUCCESS = "ALL_QUESTION_SET_FOR_COURSE_SUCCESS";
export const ALL_QUESTION_SET_FOR_COURSE_ERROR = "ALL_QUESTION_SET_FOR_COURSE_ERROR";

export const PICK_QUESTION_SET_TO_MODULE_REQUEST = "PICK_QUESTION_SET_TO_MODULE_REQUEST";
export const PICK_QUESTION_SET_TO_MODULE_SUCCESS = "PICK_QUESTION_SET_TO_MODULE_SUCCESS";
export const PICK_QUESTION_SET_TO_MODULE_ERROR = "PICK_QUESTION_SET_TO_MODULE_ERROR";

//Questions Bank
export const QUESTIONS_BANK_REQUEST = "QUESTIONS_BANK_REQUEST";
export const QUESTIONS_BANK_SUCCESS = "QUESTIONS_BANK_SUCCESS";
export const QUESTIONS_BANK_ERROR = "QUESTIONS_BANK_ERROR";
export const SET_FILTERS_DATA = "SET_FILTERS_DATA";
export const LEARNER_CONTEXT_CREATOR_REQUEST = "LEARNER_CONTEXT_CREATOR_REQUEST";
export const LEARNER_CONTEXT_CREATOR_SUCCESS = "LEARNER_CONTEXT_CREATOR_SUCCESS";
export const LEARNER_CONTEXT_CREATOR_ERROR = "LEARNER_CONTEXT_CREATOR_ERROR";
export const EXPORT_QUESTION_BANK_TO_QUESTION_EDITOR = "EXPORT_QUESTION_BANK_TO_QUESTION_EDITOR";

export const REMOVE_ORDERING_QUESTION = "REMOVE_ORDERING_QUESTION";

export const GET_QUESTIONS_TO_REVIEW_TEACHER_REQUEST = "GET_QUESTIONS_TO_REVIEW_TEACHER_REQUEST";
export const GET_QUESTIONS_TO_REVIEW_TEACHER_SUCCESS = "GET_QUESTIONS_TO_REVIEW_TEACHER_SUCCESS";
export const GET_QUESTIONS_TO_REVIEW_TEACHER_ERROR = "GET_QUESTIONS_TO_REVIEW_TEACHER_ERROR";

export const EMPTY_QUESTIONS_FROM_QUESTION_SET = "EMPTY_QUESTIONS_FROM_QUESTION_SET";

export const CREATE_QUESTION_TO_QUESTIONS_BANK_REQUEST = "CREATE_QUESTION_TO_QUESTIONS_BANK_REQUEST";
export const CREATE_QUESTION_TO_QUESTIONS_BANK_SUCCESS = "CREATE_QUESTION_TO_QUESTIONS_BANK_SUCCESS";
export const CREATE_QUESTION_TO_QUESTIONS_BANK_ERROR = "CREATE_QUESTION_TO_QUESTIONS_BANK_ERROR";
export const FILL_DATA_IN_QUESTION_SET_TO_EDIT = "FILL_DATA_IN_QUESTION_SET_TO_EDIT";

export const UPDATE_QUESTIONS_BANK_REQUEST = "UPDATE_QUESTIONS_BANK_REQUEST";
export const UPDATE_QUESTIONS_BANK_SUCCESS = "UPDATE_QUESTIONS_BANK_SUCCESS";
export const UPDATE_QUESTIONS_BANK_ERROR = "UPDATE_QUESTIONS_BANK_ERROR";

export const REMOVE_QUESTIONS_BANK_REQUEST = "REMOVE_QUESTIONS_BANK_REQUEST";
export const REMOVE_QUESTIONS_BANK_SUCCESS = "REMOVE_QUESTIONS_BANK_SUCCESS";
export const REMOVE_QUESTIONS_BANK_ERROR = "REMOVE_QUESTIONS_BANK_ERROR";
//-------------------------------------------------

//---------------Students---------------------
export const ALL_STUDENTS_REQUEST = "ALL_STUDENTS_REQUEST";
export const ALL_STUDENTS_SUCCESS = "ALL_STUDENTS_SUCCESS";
export const ALL_STUDENTS_ERROR = "ALL_STUDENTS_ERROR";
//-------------------------------------------------

//---------------Landing Page---------------------
export const ALL_FILTERS_TO_COURSES_REQUEST = "ALL_FILTERS_TO_COURSES_REQUEST";
export const ALL_FILTERS_TO_COURSES_SUCCESS = "ALL_FILTERS_TO_COURSES_SUCCESS";
export const ALL_FILTERS_TO_COURSES_ERROR = "ALL_FILTERS_TO_COURSES_ERROR";
export const ALL_COURSES_REQUEST = "ALL_COURSES_REQUEST";
export const ALL_COURSES_SUCCESS = "ALL_COURSES_SUCCESS";
export const ALL_COURSES_ERROR = "ALL_COURSES_ERROR";

export const LANDING_PAGE_REQUEST = "LANDING_PAGE_REQUEST";
export const LANDING_PAGE_SUCCESS = "LANDING_PAGE_SUCCESS";
export const LANDING_PAGE_ERROR = "LANDING_PAGE_ERROR";
//------------------------------------------

//---------------Badges---------------------
export const GET_BADGES_REQUEST = "GET_BADGES_REQUEST";
export const GET_BADGES_SUCCESS = "GET_BADGES_SUCCESS";
export const GET_BADGES_ERROR = "GET_BADGES_ERROR";
export const REMOVE_BADGES_REQUEST = "REMOVE_BADGES_REQUEST";
export const REMOVE_BADGES_SUCCESS = "REMOVE_BADGES_SUCCESS";
export const REMOVE_BADGES_ERROR = "REMOVE_BADGES_ERROR";
export const STORE_BADGES_REQUEST = "STORE_BADGES_REQUEST";
export const STORE_BADGES_SUCCESS = "STORE_BADGES_SUCCESS";
export const STORE_BADGES_ERROR = "STORE_BADGES_ERROR";
//---------------------------------------------------

//---------------Courses Manager---------------------
export const ADD_SCORM_DATA_TO_MODULE_AFTER_UPLOADED = "ADD_SCORM_DATA_TO_MODULE_AFTER_UPLOADED";
export const PUSH_DATA_TO_COURSE_MODULE = "PUSH_DATA_TO_COURSE_MODULE";
export const UPDATE_TITLE_TO_QUESTION_SET = "UPDATE_TITLE_TO_QUESTION_SET";

export const UPDATE_QUESTION_SET_FROM_MODULE_CONTENT_REQUEST = "UPDATE_QUESTION_SET_FROM_MODULE_CONTENT_REQUEST";
export const UPDATE_QUESTION_SET_FROM_MODULE_CONTENT_SUCCESS = "UPDATE_QUESTION_SET_FROM_MODULE_CONTENT_SUCCESS";
export const UPDATE_QUESTION_SET_FROM_MODULE_CONTENT_ERROR = "UPDATE_QUESTION_SET_FROM_MODULE_CONTENT_ERROR";

export const HANDLE_SHOULD_NOT_BE_ADDED_MODULE_CONTENT = "HANDLE_SHOULD_NOT_BE_ADDED_MODULE_CONTENT";

export const GET_MY_COURSES_REQUEST = "GET_MY_COURSES_REQUEST";
export const GET_MY_COURSES_SUCCESS = " GET_MY_COURSES_SUCCESS";
export const GET_MY_COURSES_ERROR = " GET_MY_COURSES_ERROR";

export const GET_MY_CURRICULA_REQUEST = "GET_MY_CURRICULA_REQUEST";
export const GET_MY_CURRICULA_SUCCESS = "GET_MY_CURRICULA_SUCCESS";
export const GET_MY_CURRICULA_ERROR = "GET_MY_CURRICULA_ERROR";

export const GET_COURSES_MANAGER_TREE_REQUEST = "GET_COURSES_MANAGER_TREE_REQUEST";
export const GET_COURSES_MANAGER_TREE_SUCCESS = "GET_COURSES_MANAGER_TREE_SUCCESS";
export const GET_COURSES_MANAGER_TREE_ERROR = "GET_COURSES_MANAGER_TREE_ERROR";
export const ADD_CATEGORY_TO_TREE_REQUEST = "ADD_CATEGORY_TO_TREE_REQUEST";
export const ADD_CATEGORY_TO_TREE_SUCCESS = " ADD_CATEGORY_TO_TREE_SUCCESS";
export const ADD_CATEGORY_TO_TREE_ERROR = " ADD_CATEGORY_TO_TREE_ERROR";
export const REMOVE_CATEGORY_FROM_TREE_REQUEST = " REMOVE_CATEGORY_FROM_TREE_REQUEST";
export const REMOVE_CATEGORY_FROM_TREE_SUCCESS = " REMOVE_CATEGORY_FROM_TREE_SUCCESS";
export const REMOVE_CATEGORY_FROM_TREE_ERROR = " REMOVE_CATEGORY_FROM_TREE_ERROR";
export const GET_COURSES_BY_CATEGORY_ID_REQUEST = "GET_COURSES_BY_CATEGORY_ID_REQUEST";
export const GET_COURSES_BY_CATEGORY_ID_SUCCESS = "GET_COURSES_BY_CATEGORY_ID_SUCCESS";
export const GET_COURSES_BY_CATEGORY_ID_ERROR = "GET_COURSES_BY_CATEGORY_ID_ERROR";
export const CLONE_COURSE_REQUEST = "CLONE_COURSE_REQUEST";
export const CLONE_COURSE_SUCCESS = " CLONE_COURSE_SUCCESS";
export const CLONE_COURSE_ERROR = " CLONE_COURSE_ERROR";
export const INSTANTIATE_COURSE_REQUEST = " INSTANTIATE_COURSE_REQUEST";
export const INSTANTIATE_COURSE_SUCCESS = " INSTANTIATE_COURSE_SUCCESS";
export const INSTANTIATE_COURSE_ERROR = " INSTANTIATE_COURSE_ERROR";
export const REMOVE_COURSE_REQUEST = "REMOVE_COURSE_REQUEST";
export const REMOVE_COURSE_SUCCESS = "REMOVE_COURSE_SUCCESS";
export const REMOVE_COURSE_ERROR = "REMOVE_COURSE_ERROR";
export const GET_CATEGORY_ANCESTORS_REQUEST = "GET_CATEGORY_ANCESTORS_REQUEST";
export const GET_CATEGORY_ANCESTORS_SUCCESS = "GET_CATEGORY_ANCESTORS_SUCCESS";
export const GET_CATEGORY_ANCESTORS_ERROR = "GET_CATEGORY_ANCESTORS_ERROR";
export const SAVE_COURSE_REQUEST = "SAVE_COURSE_REQUEST";
export const SAVE_COURSE_SUCCESS = "SAVE_COURSE_SUCCESS";
export const SAVE_COURSE_ERROR = "SAVE_COURSE_ERROR";
export const COURSE_BY_ID_REQUEST = "COURSE_BY_ID_REQUEST";
export const COURSE_BY_ID_SUCCESS = "COURSE_BY_ID_SUCCESS";
export const COURSE_BY_ID_ERROR = "COURSE_BY_ID_ERROR";
export const SET_COURSE_VALUE = "SET_COURSE_VALUE";
export const GET_LEVELS_REQUEST = "GET_LEVELS_REQUEST";
export const GET_LEVELS_SUCCESS = "GET_LEVELS_SUCCESS";
export const GET_LEVELS_ERROR = "GET_LEVELS_ERROR";
export const GET_USER_TYPE_REQUEST = "GET_USER_TYPE_REQUEST";
export const GET_USER_TYPE_SUCCESS = "GET_USER_TYPE_SUCCESS";
export const GET_USER_TYPE_ERROR = "GET_USER_TYPE_ERROR";
export const SET_COURSE_OVERVIEW = "SET_COURSE_OVERVIEW";
export const SET_ADD_ITEMS_TO_OVERVIEW_FIELDS = "SET_ADD_ITEMS_TO_OVERVIEW_FIELDS";
export const CHANGE_ITEMS_IN_COURSE_OVERVIEW = "CHANGE_ITEMS_IN_COURSE_OVERVIEW";
export const DELETE_ITEMS_FROM_COURSE_OVERVIEW = "DELETE_ITEMS_FROM_COURSE_OVERVIEW";
export const FILL_DATA_IN_OVERVIEW = "FILL_DATA_IN_OVERVIEW";
export const SAVE_COURSE_OVERVIEW_REQUEST = "SAVE_COURSE_OVERVIEW_REQUEST";
export const SAVE_COURSE_OVERVIEW_SUCCESS = "SAVE_COURSE_OVERVIEW_SUCCESS";
export const SAVE_COURSE_OVERVIEW_ERROR = "SAVE_COURSE_OVERVIEW_ERROR";
export const VIEW_COURSE_MODE = "VIEW_COURSE_MODE";
export const EMPTY_DATA_WHEN_ADD_NEW_COURSE = "EMPTY_DATA_WHEN_ADD_NEW_COURSE";
export const PUBLISH_AND_UND_PUBLISH_COURSE_REQUEST = "PUBLISH_AND_UND_PUBLISH_COURSE_REQUEST";
export const PUBLISH_AND_UND_PUBLISH_COURSE_SUCCESS = "PUBLISH_AND_UND_PUBLISH_COURSE_SUCCESS";
export const PUBLISH_AND_UND_PUBLISH_COURSE_ERROR = "PUBLISH_AND_UND_PUBLISH_COURSE_ERROR";
export const ALL_FEEDBACK_REQUEST = "ALL_FEEDBACK_REQUEST";
export const ALL_FEEDBACK_SUCCESS = "ALL_FEEDBACK_SUCCESS";
export const ALL_FEEDBACK_ERROR = "ALL_FEEDBACK_ERROR";

export const COURSE_OVERVIEW_BY_ID_REQUEST = "COURSE_OVERVIEW_BY_ID_REQUEST";
export const COURSE_OVERVIEW_BY_ID_SUCCESS = "COURSE_OVERVIEW_BY_ID_SUCCESS";
export const COURSE_OVERVIEW_BY_ID_ERROR = "COURSE_OVERVIEW_BY_ID_ERROR";

export const GET_COURSE_MODULE_REQUEST = "GET_COURSE_MODULE_REQUEST";
export const GET_COURSE_MODULE_SUCCESS = "GET_COURSE_MODULE_SUCCESS";
export const GET_COURSE_MODULE_ERROR = "GET_COURSE_MODULE_ERROR";

export const GET_MODULE_CONTENT_REQUEST = "GET_MODULE_CONTENT_REQUEST";
export const GET_MODULE_CONTENT_SUCCESS = "GET_MODULE_CONTENT_SUCCESS";
export const GET_MODULE_CONTENT_ERROR = "GET_MODULE_CONTENT_ERROR";

export const CREATE_MODULE_REQUEST = "CREATE_MODULE_REQUEST";
export const CREATE_MODULE_SUCCESS = "CREATE_MODULE_SUCCESS";
export const CREATE_MODULE_ERROR = "CREATE_MODULE_ERROR";

export const FILL_DATA_TO_SPECIFIC_MODULE = "FILL_DATA_TO_SPECIFIC_MODULE";

export const DELETE_MODULE_REQUEST = "DELETE_MODULE_REQUEST";
export const DELETE_MODULE_SUCCESS = "DELETE_MODULE_SUCCESS";
export const DELETE_MODULE_ERROR = "DELETE_MODULE_ERROR";
export const DELETE_MODULE_CONTENT_REQUEST = "DELETE_MODULE_CONTENT_REQUEST";
export const DELETE_MODULE_CONTENT_SUCCESS = "DELETE_MODULE_CONTENT_SUCCESS";
export const DELETE_MODULE_CONTENT_ERROR = "DELETE_MODULE_CONTENT_ERROR";
export const SELECT_LESSON_CONTENT = "SELECT_LESSON_CONTENT";
export const ADD_ITEMS_TO_LESSON_CONTENT = "ADD_ITEMS_TO_LESSON_CONTENT";
export const SELECT_MODULE_CONTENT = "SELECT_MODULE_CONTENT";
export const ADD_ITEMS_TO_MODULE_CONTENT = "ADD_ITEMS_TO_MODULE_CONTENT";

export const CREATE_OR_EDIT_MODULE_CONTENT_LESSON_REQUEST = "CREATE_OR_EDIT_MODULE_CONTENT_LESSON_REQUEST";
export const CREATE_OR_EDIT_MODULE_CONTENT_LESSON_SUCCESS = "CREATE_OR_EDIT_MODULE_CONTENT_LESSON_SUCCESS";
export const CREATE_OR_EDIT_MODULE_CONTENT_LESSON_ERROR = "CREATE_OR_EDIT_MODULE_CONTENT_LESSON_ERROR";

export const CREATE_OR_EDIT_MODULE_CONTENT_QUESTION_SET_REQUEST = "CREATE_OR_EDIT_MODULE_CONTENT_QUESTION_SET_REQUEST";
export const CREATE_OR_EDIT_MODULE_CONTENT_QUESTION_SET_SUCCESS = "CREATE_OR_EDIT_MODULE_CONTENT_QUESTION_SET_SUCCESS";
export const CREATE_OR_EDIT_MODULE_CONTENT_QUESTION_SET_ERROR = "CREATE_OR_EDIT_MODULE_CONTENT_QUESTION_SET_ERROR";

export const ADD_CONTENT_TO_LESSON_CONTENT = "ADD_CONTENT_TO_LESSON_CONTENT";
export const ADD_LINKS_TO_LESSON_CONTENT = "ADD_LINKS_TO_LESSON_CONTENT";
export const EDIT_LESSON_CONTENT_FROM_MODULE_CONTENT = "EDIT_LESSON_CONTENT_FROM_MODULE_CONTENT";
export const RELOAD_LIVE_SESSION = "RELOAD_LIVE_SESSION";

export const ENROLL_IN_COURSE_REQUEST = "ENROLL_IN_COURSE_REQUEST";
export const ENROLL_IN_COURSE_SUCCESS = "ENROLL_IN_COURSE_SUCCESS";
export const ENROLL_IN_COURSE_ERROR = "ENROLL_IN_COURSE_ERROR";
//------------------------------------------------------

//-----------------Live Session--------------------
export const START_LIVE_SESSION_REQUEST = "START_LIVE_SESSION_REQUEST";
export const START_LIVE_SESSION_SUCCESS = "START_LIVE_SESSION_SUCCESS";
export const START_LIVE_SESSION_ERROR = "START_LIVE_SESSION_ERROR";
export const END_LIVE_SESSION_REQUEST = "END_LIVE_SESSION_REQUEST";
export const END_LIVE_SESSION_SUCCESS = "END_LIVE_SESSION_SUCCESS";
export const END_LIVE_SESSION_ERROR = "END_LIVE_SESSION_ERROR";
export const JOIN_MEETING_TO_GET_ATTEND_LINK_REQUEST = "JOIN_MEETING_TO_GET_ATTEND_LINK_REQUEST";
export const JOIN_MEETING_TO_GET_ATTEND_LINK_SUCCESS = "JOIN_MEETING_TO_GET_ATTEND_LINK_SUCCESS";
export const JOIN_MEETING_TO_GET_ATTEND_LINK_ERROR = "JOIN_MEETING_TO_GET_ATTEND_LINK_ERROR";
//------------------------------------------------------

//________________School Initiation________________
export const GET_SEMESTERS_BY_ORGANIZATION_REQUEST = "GET_SEMESTERS_BY_ORGANIZATION_REQUEST";
export const GET_SEMESTERS_BY_ORGANIZATION_SUCCESS = "GET_SEMESTERS_BY_ORGANIZATION_SUCCESS";
export const GET_SEMESTERS_BY_ORGANIZATION_ERROR = "GET_SEMESTERS_BY_ORGANIZATION_ERROR";
export const GET_GRADE_SCALES_REQUEST = "GET_GRADE_SCALES_REQUEST";
export const GET_GRADE_SCALES_SUCCESS = "GET_GRADE_SCALES_SUCCESS";
export const GET_GRADE_SCALES_ERROR = "GET_GRADE_SCALES_ERROR";
export const GET_APP_GRADE_LEVELS_REQUEST = "GET_APP_GRADE_LEVELS_REQUEST";
export const GET_APP_GRADE_LEVELS_SUCCESS = "GET_APP_GRADE_LEVELS_SUCCESS";
export const GET_APP_GRADE_LEVELS_ERROR = "GET_APP_GRADE_LEVELS_ERROR";
export const GET_MAIN_COURSES_REQUEST = "GET_MAIN_COURSES_REQUEST";
export const GET_MAIN_COURSES_SUCCESS = " GET_MAIN_COURSES_SUCCESS";
export const GET_MAIN_COURSES_ERROR = " GET_MAIN_COURSES_ERROR";
export const GET_EDUCATION_STAGE_REQUEST = "GET_EDUCATION_STAGE_REQUEST";
export const GET_EDUCATION_STAGE_SUCCESS = "GET_EDUCATION_STAGE_SUCCESS";
export const GET_EDUCATION_STAGE_ERROR = "GET_EDUCATION_STAGE_ERROR";

export const SAVE_EDUCATION_STAGE_REQUEST = "SAVE_EDUCATION_STAGE_REQUEST";
export const SAVE_EDUCATION_STAGE_SUCCESS = "SAVE_EDUCATION_STAGE_SUCCESS";
export const SAVE_EDUCATION_STAGE_ERROR = " SAVE_EDUCATION_STAGE_ERROR";
export const SAVE_GRADE_LEVEL_REQUEST = "SAVE_GRADE_LEVEL_REQUEST";
export const SAVE_GRADE_LEVEL_SUCCESS = " SAVE_GRADE_LEVEL_SUCCESS";
export const SAVE_GRADE_LEVEL_ERROR = " SAVE_GRADE_LEVEL_ERROR";
export const SAVE_CURRICULA_REQUEST = " SAVE_CURRICULA_REQUEST";
export const SAVE_CURRICULA_SUCCESS = " SAVE_CURRICULA_SUCCESS";
export const SAVE_CURRICULA_ERROR = " SAVE_CURRICULA_ERROR";

export const EDUCATION_STAGE_BY_ID_REQUEST = "EDUCATION_STAGE_BY_ID_REQUEST";
export const EDUCATION_STAGE_BY_ID_SUCCESS = "EDUCATION_STAGE_BY_ID_SUCCESS";
export const EDUCATION_STAGE_BY_ID_ERROR = "EDUCATION_STAGE_BY_ID_ERROR";
export const GRADE_LEVELS_BY_ID_REQUEST = "GRADE_LEVELS_BY_ID_REQUEST";
export const GRADE_LEVELS_BY_ID_SUCCESS = "GRADE_LEVELS_BY_ID_SUCCESS";
export const GRADE_LEVELS_BY_ID_ERROR = "GRADE_LEVELS_BY_ID_ERROR";
export const CURRICULA_BY_ID_REQUEST = "CURRICULA_BY_ID_REQUEST";
export const CURRICULA_BY_ID_SUCCESS = "CURRICULA_BY_ID_SUCCESS";
export const CURRICULA_BY_ID_ERROR = "CURRICULA_BY_ID_ERROR";
export const PUBLISH_AND_UN_PUBLISH_MODULE_CONTENT_REQUEST = "PUBLISH_AND_UN_PUBLISH_MODULE_CONTENT_REQUEST";
export const PUBLISH_AND_UN_PUBLISH_MODULE_CONTENT_SUCCESS = "PUBLISH_AND_UN_PUBLISH_MODULE_CONTENT_SUCCESS";
export const PUBLISH_AND_UN_PUBLISH_MODULE_CONTENT_ERROR = "PUBLISH_AND_UN_PUBLISH_MODULE_CONTENT_ERROR";
export const HANDLE_SHOULD_NOT_BE_ADDED_lESSON_CONTENT = "HANDLE_SHOULD_NOT_BE_ADDED_lESSON_CONTENT";
export const ADD_NEW_LESSON_CONTENT_TO_MODULE_CONTENT = "ADD_NEW_LESSON_CONTENT_TO_MODULE_CONTENT";

export const DELETE_NEW_LESSON_CONTENT = "DELETE_NEW_LESSON_CONTENT";
export const REMOVE_LINK_FROM_LESSON_CONTENT_LOCALE = "REMOVE_LINK_FROM_LESSON_CONTENT_LOCALE";

//--------------------------------------------------------------------------------

//________________Discussions________________
export const INITIAL_DATA_TO_CREATE_POST = "INITIAL_DATA_TO_CREATE_POST";
export const GET_VALIDATION_CREATE_POST = "GET_VALIDATION_CREATE_POST";
export const GET_HOME_PAGE_POSTS_REQUEST = "GET_HOME_PAGE_POSTS_REQUEST";
export const GET_HOME_PAGE_POSTS_SUCCESS = "GET_HOME_PAGE_POSTS_SUCCESS";
export const GET_HOME_PAGE_POSTS_ERROR = "GET_HOME_PAGE_POSTS_ERROR";
export const SET_CREATE_POST_VALUE = "SET_CREATE_POST_VALUE";
export const SET_VALIDATION_TO_POST = "SET_VALIDATION_TO_POST";
export const SET_EDIT_CONTENT_VALUE = "SET_EDIT_CONTENT_VALUE";
export const ADD_POST_REQUEST = "ADD_POST_REQUEST";
export const ADD_POST_SUCCESS = "ADD_POST_SUCCESS";
export const ADD_POST_ERROR = "ADD_POST_ERROR";
export const EDIT_POST_REQUEST = "EDIT_POST_REQUEST";
export const EDIT_POST_SUCCESS = "EDIT_POST_SUCCESS";
export const EDIT_POST_ERROR = "EDIT_POST_ERROR";
export const REMOVE_POST_REQUEST = "REMOVE_POST_REQUEST";
export const REMOVE_POST_SUCCESS = "REMOVE_POST_SUCCESS";
export const REMOVE_POST_ERROR = "REMOVE_POST_ERROR";
export const GET_POST_BY_ID_REQUEST = "GET_POST_BY_ID_REQUEST";
export const GET_POST_BY_ID_SUCCESS = "GET_POST_BY_ID_SUCCESS";
export const GET_POST_BY_ID_ERROR = "GET_POST_BY_ID_ERROR";
export const EMPTY_POSTS_ARRAY = "EMPTY_POSTS_ARRAY";
export const EMPTY_PEOPLE_LIKES = "EMPTY_PEOPLE_LIKES";
export const SEARCH_IN_REQUEST = "SEARCH_IN_REQUEST";
export const SEARCH_IN_SUCCESS = "SEARCH_IN_SUCCESS";
export const SEARCH_IN_ERROR = "SEARCH_IN_ERROR";
export const GET_ALL_CATEGORIES_REQUEST = "GET_ALL_CATEGORIES_REQUEST";
export const GET_ALL_CATEGORIES_SUCCESS = "GET_ALL_CATEGORIES_SUCCESS";
export const GET_ALL_CATEGORIES_ERROR = "GET_ALL_CATEGORIES_ERROR";
export const CHOOSE_SPECIFIC_CATEGORY_REQUEST = "CHOOSE_SPECIFIC_CATEGORY_REQUEST";
export const CHOOSE_SPECIFIC_CATEGORY_SUCCESS = "CHOOSE_SPECIFIC_CATEGORY_SUCCESS";
export const CHOOSE_SPECIFIC_CATEGORY_ERROR = "CHOOSE_SPECIFIC_CATEGORY_ERROR";
export const GET_ALL_REPORT_CATEGORIES_REQUEST = "GET_ALL_REPORT_CATEGORIES_REQUEST";
export const GET_ALL_REPORT_CATEGORIES_SUCCESS = "GET_ALL_REPORT_CATEGORIES_SUCCESS";
export const GET_ALL_REPORT_CATEGORIES_ERROR = "GET_ALL_REPORT_CATEGORIES_ERROR";
export const SAVE_REPORT_ON_CONTENT_REQUEST = "SAVE_REPORT_ON_CONTENT_REQUEST";
export const SAVE_REPORT_ON_CONTENT_SUCCESS = "SAVE_REPORT_ON_CONTENT_SUCCESS";
export const SAVE_REPORT_ON_CONTENT_ERROR = "SAVE_REPORT_ON_CONTENT_ERROR";

export const ACCEPT_CONTENT_REQUEST = "ACCEPT_CONTENT_REQUEST";
export const ACCEPT_CONTENT_SUCCESS = "ACCEPT_CONTENT_SUCCESS";
export const ACCEPT_CONTENT_ERROR = "ACCEPT_CONTENT_ERROR";
export const REJECT_CONTENT_REQUEST = "REJECT_CONTENT_REQUEST";
export const REJECT_CONTENT_SUCCESS = "REJECT_CONTENT_SUCCESS";
export const REJECT_CONTENT_ERROR = "REJECT_CONTENT_ERROR";

export const IGNORE_REPORTED_CONTENT_REQUEST = "IGNORE_REPORTED_CONTENT_REQUEST";
export const IGNORE_REPORTED_CONTENT_SUCCESS = "IGNORE_REPORTED_CONTENT_SUCCESS";
export const IGNORE_REPORTED_CONTENT_ERROR = "IGNORE_REPORTED_CONTENT_ERROR";
export const DELETE_REPORTED_CONTENT_REQUEST = "DELETE_REPORTED_CONTENT_REQUEST";
export const DELETE_REPORTED_CONTENT_SUCCESS = "DELETE_REPORTED_CONTENT_SUCCESS";
export const DELETE_REPORTED_CONTENT_ERROR = "DELETE_REPORTED_CONTENT_ERROR";

export const DELETE_REJECTED_CONTENT_REQUEST = "DELETE_REJECTED_CONTENT_REQUEST";
export const DELETE_REJECTED_CONTENT_SUCCESS = " DELETE_REJECTED_CONTENT_SUCCESS";
export const DELETE_REJECTED_CONTENT_ERROR = " DELETE_REJECTED_CONTENT_ERROR";

export const GET_CONTENT_BY_CONTENT_ID_REQUEST = "GET_CONTENT_BY_CONTENT_ID_REQUEST";
export const GET_CONTENT_BY_CONTENT_ID_SUCCESS = "GET_CONTENT_BY_CONTENT_ID_SUCCESS";
export const GET_CONTENT_BY_CONTENT_ID_ERROR = "GET_CONTENT_BY_CONTENT_ID_ERROR";

export const EDIT_CONTENT_REQUEST = "EDIT_CONTENT_REQUEST";
export const EDIT_CONTENT_SUCCESS = "EDIT_CONTENT_SUCCESS";
export const EDIT_CONTENT_ERROR = "EDIT_CONTENT_ERROR";
export const SET_REPORTING_ON_PORT = "SET_REPORTING_ON_PORT";
export const SAVE_REPORTING_ON_POST_REQUEST = "SAVE_REPORTING_ON_POST_REQUEST";
export const SAVE_REPORTING_ON_POST_SUCCESS = "SAVE_REPORTING_ON_POST_SUCCESS";
export const SAVE_REPORTING_ON_POST_ERROR = "SAVE_REPORTING_ON_POST_ERROR";
export const EMPTY_REPORTING_ON_POST = "EMPTY_REPORTING_ON_POST";

export const GET_POSTS_CREATED_BY_SPECIFIC_USER_REQUEST = "GET_POSTS_CREATED_BY_SPECIFIC_USER_REQUEST";
export const GET_POSTS_CREATED_BY_SPECIFIC_USER_SUCCESS = "GET_POSTS_CREATED_BY_SPECIFIC_USER_SUCCESS";
export const GET_POSTS_CREATED_BY_SPECIFIC_USER_ERROR = "GET_POSTS_CREATED_BY_SPECIFIC_USER_ERROR";

export const ADD_LIKE_ON_POET_OR_COMMENT_REQUEST = "ADD_LIKE_ON_POET_OR_COMMENT_REQUEST";
export const ADD_LIKE_ON_POET_OR_COMMENT_SUCCESS = "ADD_LIKE_ON_POET_OR_COMMENT_SUCCESS";
export const ADD_LIKE_ON_POET_OR_COMMENT_ERROR = "ADD_LIKE_ON_POET_OR_COMMENT_ERROR";
export const SEE_ALL_PEOPLE_WHO_LIKE_REQUEST = "SEE_ALL_PEOPLE_WHO_LIKE_REQUEST";
export const SEE_ALL_PEOPLE_WHO_LIKE_SUCCESS = " SEE_ALL_PEOPLE_WHO_LIKE_SUCCESS";
export const SEE_ALL_PEOPLE_WHO_LIKE_ERROR = "SEE_ALL_PEOPLE_WHO_LIKE_ERROR";
export const GET_ALL_MANDATORY_POSTS_POSTS_REQUEST = "GET_ALL_MANDATORY_POSTS_POSTS_REQUEST";
export const GET_ALL_MANDATORY_POSTS_POSTS_SUCCESS = "GET_ALL_MANDATORY_POSTS_POSTS_SUCCESS";
export const GET_ALL_MANDATORY_POSTS_POSTS_ERROR = "GET_ALL_MANDATORY_POSTS_POSTS_ERROR";

export const ADD_COMMENT_REQUEST = "ADD_COMMENT_REQUEST";
export const ADD_COMMENT_SUCCESS = "ADD_COMMENT_SUCCESS";
export const ADD_COMMENT_ERROR = "ADD_COMMENT_ERROR";
export const UPDATE_COMMENT_REQUEST = "UPDATE_COMMENT_REQUEST";
export const UPDATE_COMMENT_SUCCESS = "UPDATE_COMMENT_SUCCESS";
export const UPDATE_COMMENT_ERROR = "UPDATE_COMMENT_ERROR";
export const REMOVE_COMMENT_REQUEST = "REMOVE_COMMENT_REQUEST";
export const REMOVE_COMMENT_SUCCESS = "REMOVE_COMMENT_SUCCESS";
export const REMOVE_COMMENT_ERROR = "REMOVE_COMMENT_ERROR";
export const SET_CREATE_COMMENT = "SET_CREATE_COMMENT";
export const EMPTY_COMMENT = "EMPTY_COMMENT";
export const EMPTY_LOAD_PREVIOUS_COMMENT = "EMPTY_LOAD_PREVIOUS_COMMENT";
export const EMPTY_POST_BY_ID = "EMPTY_POST_BY_ID";
export const CHANGE_FLAG_SPECIFIC_CONTENT_LOAD = "CHANGE_FLAG_SPECIFIC_CONTENT_LOAD";

export const GET_COMMENT_BY_ID_REQUEST = "GET_COMMENT_BY_ID_REQUEST";
export const GET_COMMENT_BY_ID_SUCCESS = "GET_COMMENT_BY_ID_SUCCESS";
export const GET_COMMENT_BY_ID_ERROR = "GET_COMMENT_BY_ID_ERROR";

export const SCHOOL_INITIATION_TREE_REQUEST = "SCHOOL_INITIATION_TREE_REQUEST";
export const SCHOOL_INITIATION_TREE_SUCCESS = " SCHOOL_INITIATION_TREE_SUCCESS";
export const SCHOOL_INITIATION_TREE_ERROR = "SCHOOL_INITIATION_TREE_ERROR";
export const FILL_NAME_SCHOOL_INITIATION = "FILL_NAME_SCHOOL_INITIATION";
//--------------------------------------------------------------------------------

//________________Cohorts________________
export const GET_ALL_COHORT_REQUEST = "GET_ALL_COHORT_REQUEST";
export const GET_ALL_COHORT_SUCCESS = "GET_ALL_COHORT_SUCCESS";
export const GET_ALL_COHORT_ERROR = "GET_ALL_COHORT_ERROR";

export const GET_ROLE_COHORT_BY_USER_ID_REQUEST = "GET_ROLE_COHORT_BY_USER_ID_REQUEST";
export const GET_ROLE_COHORT_BY_USER_ID_SUCCESS = "GET_ROLE_COHORT_BY_USER_ID_SUCCESS";
export const GET_ROLE_COHORT_BY_USER_ID_ERROR = "GET_ROLE_COHORT_BY_USER_ID_ERROR";

export const LOAD_PREVIOUS_COMMENTS_REQUEST = "LOAD_PREVIOUS_COMMENTS_REQUEST";
export const LOAD_PREVIOUS_COMMENTS_SUCCESS = "LOAD_PREVIOUS_COMMENTS_SUCCESS";
export const LOAD_PREVIOUS_COMMENTS_ERROR = "LOAD_PREVIOUS_COMMENTS_ERROR";

//--------------------------------------------------------------------------------

//________________Unit Plan________________
export const GET_UNIT_PLAN_REQUEST = "GET_UNIT_PLAN_REQUEST";
export const GET_UNIT_PLAN_SUCCESS = "GET_UNIT_PLAN_SUCCESS";
export const GET_UNIT_PLAN_ERROR = "GET_UNIT_PLAN_ERROR";
export const SHOW_UNIT_PLAN_EDITOR = "SHOW_UNIT_PLAN_EDITOR";
export const SET_UNIT_PLAN_VALUE = "SET_UNIT_PLAN_VALUE";
export const ADD_SECTION_TO_UNIT_PLAN = "ADD_SECTION_TO_UNIT_PLAN";
export const ADD_DATA_TO_SECTION = "ADD_DATA_TO_SECTION";
export const ADD_ITEMS_TO_SECTION = "ADD_ITEMS_TO_SECTION";
export const REMOVE_SECTION = "REMOVE_SECTION";
export const PICK_A_RUBRIC_TO_UNIT_PLAN_SECTION = "PICK_A_RUBRIC_TO_UNIT_PLAN_SECTION";
export const PICK_A_LESSON_PLAN_TO_UNIT_PLAN_SECTION = "PICK_A_LESSON_PLAN_TO_UNIT_PLAN_SECTION";
export const REMOVE_RUBRIC_FROM_SECTION = "REMOVE_RUBRIC_FROM_SECTION";
export const REMOVE_LESSON_PLAN_FROM_SECTION = "REMOVE_LESSON_PLAN_FROM_SECTION";
export const REMOVE_ATTACHMENT_FROM_SECTION = "REMOVE_ATTACHMENT_FROM_SECTION";
export const REMOVE_ITEM_FROM_SECTION = "REMOVE_ITEM_FROM_SECTION";
export const REMOVE_ATTACHMENT_FROM_ITEMS = "REMOVE_ATTACHMENT_FROM_ITEMS";
export const SAVE_UNIT_PLAN_REQUEST = "SAVE_UNIT_PLAN_REQUEST";
export const SAVE_UNIT_PLAN_SUCCESS = "SAVE_UNIT_PLAN_SUCCESS";
export const SAVE_UNIT_PLAN_ERROR = "SAVE_UNIT_PLAN_ERROR";
export const GET_VALIDATION_UNIT_PLAN = "GET_VALIDATION_UNIT_PLAN";
export const ADD_VALIDATION_TO_UNIT_PLAN = "ADD_VALIDATION_TO_UNIT_PLAN";
export const CREATE_UNIT_PLAN_TEMPLATE = "CREATE_UNIT_PLAN_TEMPLATE";
export const EMPTY_STORE = "EMPTY_STORE";

//--------------------------------------------------------------------------------

//________________User Logs________________
export const USER_LOGS_REQUEST = "USER_LOGS_REQUEST";
export const USER_LOGS_SUCCESS = "USER_LOGS_SUCCESS";
export const USER_LOGS_ERROR = "USER_LOGS_ERROR";
//--------------------------------------------------------------------------------

//________________User Interactions________________
export const USER_INTERACTIONS_REQUEST = "USER_INTERACTIONS_REQUEST";
export const USER_INTERACTIONS_SUCCESS = "USER_INTERACTIONS_SUCCESS";
export const USER_INTERACTIONS_ERROR = "USER_INTERACTIONS_ERROR";
//--------------------------------------------------------------------------------

//________________Learning Objects________________
export const GET_LEARNING_OBJECT_BY_ID_REQUEST = "GET_LEARNING_OBJECT_BY_ID_REQUEST";
export const GET_LEARNING_OBJECT_BY_ID_SUCCESS = "GET_LEARNING_OBJECT_BY_ID_SUCCESS";
export const GET_LEARNING_OBJECT_BY_ID_ERROR = "GET_LEARNING_OBJECT_BY_ID_ERROR";

export const GET_LEARNING_OBJECT_AVAILABLE_REQUEST = "GET_LEARNING_OBJECT_AVAILABLE_REQUEST";
export const GET_LEARNING_OBJECT_AVAILABLE_SUCCESS = "GET_LEARNING_OBJECT_AVAILABLE_SUCCESS";
export const GET_LEARNING_OBJECT_AVAILABLE_ERROR = "GET_LEARNING_OBJECT_AVAILABLE_ERROR";

export const EDIT_LEARNING_OBJECT_REQUEST = "EDIT_LEARNING_OBJECT_REQUEST";
export const EDIT_LEARNING_OBJECT_SUCCESS = "EDIT_LEARNING_OBJECT_SUCCESS";
export const EDIT_LEARNING_OBJECT_ERROR = "EDIT_LEARNING_OBJECT_ERROR";

export const GET_LEARNING_OBJECT_MY_PROGRESS_REQUEST = "GET_LEARNING_OBJECT_MY_PROGRESS_REQUEST";
export const GET_LEARNING_OBJECT_MY_PROGRESS_SUCCESS = "GET_LEARNING_OBJECT_MY_PROGRESS_SUCCESS";
export const GET_LEARNING_OBJECT_MY_PROGRESS_ERROR = "GET_LEARNING_OBJECT_MY_PROGRESS_ERROR";

export const USER_INTERACTION_REQUEST = "USER_INTERACTION_REQUEST";
export const USER_INTERACTION_SUCCESS = "USER_INTERACTION_SUCCESS";
export const USER_INTERACTION_ERROR = "USER_INTERACTION_ERROR";

//--------------------------------------------------------------------------------

export const ADD_VALUES_TO_LEARNING_OBJECT = "ADD_VALUES_TO_LEARNING_OBJECT";

export const GET_STATE_MACHINE_BY_ID_REQUEST = "GET_STATE_MACHINE_BY_ID_REQUEST";
export const GET_STATE_MACHINE_BY_ID_SUCCESS = "GET_STATE_MACHINE_BY_ID_SUCCESS";
export const GET_STATE_MACHINE_BY_ID_ERROR = "GET_STATE_MACHINE_BY_ID_ERROR";

export const GET_STATE_MACHINE_COMPONENTS_REQUEST = "GET_STATE_MACHINE_COMPONENTS_REQUEST";
export const GET_STATE_MACHINE_COMPONENTS_SUCCESS = "GET_STATE_MACHINE_COMPONENTS_SUCCESS";
export const GET_STATE_MACHINE_COMPONENTS_ERROR = "GET_STATE_MACHINE_COMPONENTS_ERROR";

export const GET_INTERACTION_CONSTRAINT_TYPE = "GET_INTERACTION_CONSTRAINT_TYPE";

export const ADD_VALUES_TO_STATE_MACHINE = "ADD_VALUES_TO_STATE_MACHINE";

export const ADD_NEW_NODE = "ADD_NEW_NODE";
export const REMOVE_NODE = "REMOVE_NODE";
export const ADD_STATUS_TO_NODE = "ADD_STATUS_TO_NODE";
export const SET_NEW_STATUS_TO_START_AND_END_NODE = "SET_NEW_STATUS_TO_START_AND_END_NODE";

export const ADD_CONSTRAINTS_TO_NODE = "ADD_CONSTRAINTS_TO_NODE";
export const REMOVE_CONSTRAINTS_FROM_NODE = "REMOVE_CONSTRAINTS_FROM_NODE";
export const ADD_DATA_TO_CONSTRAINT = "ADD_DATA_TO_CONSTRAINT";

export const ADD_RESPONSE_CONSTRAINT_TYPE_TO_CONSTRAINT = "ADD_RESPONSE_CONSTRAINT_TYPE_TO_CONSTRAINT";
export const ADD_RESPONSE_CONSTRAINT = "ADD_RESPONSE_CONSTRAINT";
export const REMOVE_AUTO_CORRECT_ANSWER = "REMOVE_AUTO_CORRECT_ANSWER";

export const ADD_STATE_MACHINE_REQUEST = "ADD_STATE_MACHINE_REQUEST";
export const ADD_STATE_MACHINE_SUCCESS = "ADD_STATE_MACHINE_SUCCESS";
export const ADD_STATE_MACHINE_ERROR = "ADD_STATE_MACHINE_ERROR";

export const EDIT_STATE_MACHINE_REQUEST = "EDIT_STATE_MACHINE_REQUEST";
export const EDIT_STATE_MACHINE_SUCCESS = "EDIT_STATE_MACHINE_SUCCESS";
export const EDIT_STATE_MACHINE_ERROR = "EDIT_STATE_MACHINE_ERROR";

export const EMPTY_STATE_MACHINE = "EMPTY_STATE_MACHINE";

//--------------------------------------------------------------------------------

//________________Certificates________________
export const GET_CERTIFICATES_FOR_SECTION_REQUEST = "GET_CERTIFICATES_FOR_SECTION_REQUEST";
export const GET_CERTIFICATES_FOR_SECTION_SUCCESS = "GET_CERTIFICATES_FOR_SECTION_SUCCESS";
export const GET_CERTIFICATES_FOR_SECTION_ERROR = "GET_CERTIFICATES_FOR_SECTION_ERROR";

//--------------------------------------------------------------------------------

//________________User action types________________
export const ALL_ORGANIZATIONS_REQUEST = "ALL_ORGANIZATIONS_REQUEST";
export const ALL_ORGANIZATIONS_SUCCESS = "ALL_ORGANIZATIONS_SUCCESS";
export const ALL_ORGANIZATIONS_ERROR = "ALL_ORGANIZATIONS_ERROR";
export const LOADING_FALSE = "LOADING_FALSE";
export const LOGIN_REQUEST = "LOGIN_REQUEST";
export const LOGIN_SUCCESS = "LOGIN_SUCCESS";
export const LOGIN_ERROR = "LOGIN_ERROR";
export const REGISTER_REQUEST = "REGISTER_REQUEST";
export const REGISTER_SUCCESS = "REGISTER_SUCCESS";
export const REGISTER_ERROR = "REGISTER_ERROR";
export const ME_SUCCESS = "ME_SUCCESS";
export const CHANGE_SELECTED_STUDENT = "CHANGE_SELECTED_STUDENT";
export const CHECK_AUTH = "CHECK_AUTH";
export const GET_CURRENT_USER = "GET_CURRENT_USER";
export const GET_USER_PHOTO = "GET_USER_PHOTO";
export const SET_USER_PHOTO = "SET_USER_PHOTO";
export const UPDATE_USER_PHOTO = "UPDATE_USER_PHOTO";
export const DELETE_USER_PHOTO = "DELETE_USER_PHOTO";
export const LOGOUT_REQUEST = "LOGOUT_REQUEST";
export const LOGOUT_SUCCESS = "LOGOUT_SUCCESS";
export const LOGOUT_ERROR = "LOGOUT_ERROR";
export const UPDATE_PASSWORD = "UPDATE_PASSWORD";
export const REFRESH_TOKEN = "REFRESH_TOKEN";
export const LOGIN_ERROR_FINALLY = "LOGIN_ERROR_FINALLY";
export const UPDATE_PASSWORD_REQUEST = "UPDATE_PASSWORD_REQUEST";
export const UPDATE_PASSWORD_SUCCESS = "UPDATE_PASSWORD_SUCCESS";
export const UPDATE_PASSWORD_ERROR = "UPDATE_PASSWORD_ERROR";
// export const SET_SCHOOLS = "SET_SCHOOLS";

export const REFRESH_REQUEST = "REFRESH_REQUEST";
export const REFRESH_SUCCESS = "REFRESH_SUCCESS";
export const REFRESH_ERROR = "REFRESH_ERROR";

export const SWITCH_TYPE = "SWITCH_TYPE";

export const RESET_PASSWORD_REQUEST = "RESET_PASSWORD_REQUEST";
export const RESET_PASSWORD_SUCCESS = "RESET_PASSWORD_SUCCESS";
export const RESET_PASSWORD_ERROR = "RESET_PASSWORD_ERROR";
export const CHANGE_PASSWORD_REQUEST = "CHANGE_PASSWORD_REQUEST";
export const CHANGE_PASSWORD_SUCCESS = "CHANGE_PASSWORD_SUCCESS";
export const CHANGE_PASSWORD_ERROR = "CHANGE_PASSWORD_ERROR";

//------------------------------------Chat

export const SET_USER_CHATS = "SET_USER_CHATS";
export const SET_CHAT_MESSAGES = "SET_CHAT_MESSAGES";
export const Add_PUSHED_MESSAGE = "Add_PUSHED_MESSAGE";
export const SET_PUSHER_IM_SUBSCRIBED = "SET_PUSHER_IM_SUBSCRIBED";
export const SET_SELECTED_CHAT_ID = "SET_SELECTED_CHAT_ID";
export const SHOW_FLOATING_CHAT = "SHOW_FLOATING_CHAT";
export const OPEN_NOTES = "OPEN_NOTES";
export const HANDLE_NOTES = "HANDLE_NOTES";
export const HIDE_NOTES_INITIATOR = "HIDE_NOTES_INITIATOR";
export const Add_PUSHED_CHAT = "Add_PUSHED_CHAT";
export const SET_CHAT_USERS = "SET_CHAT_USERS";
export const SEE_MORE = "SEE_MORE";
export const MARK_CHATS_AS_READ = "chats/markAsRead";
export const SEARCH_POSTS = "SEARCH_POSTS";
export const ADD_USER_CHAT = "ADD_USER_CHAT";
export const UPDATE_USER_CHAT = "UPDATE_USER_CHAT";
export const SET_ACTIVE_CHAT = "SET_ACTIVE_CHAT";
export const ADD_TO_CHAT = "ADD_TO_CHAT";
export const SET_CHAT = "SET_CHAT";
export const GET_Post = "GET_Post";
export const ADD_NEW_POST = "ADD_NEW_POST";
export const GET_Like = "GET_Like";
export const Social_Media_Pagination = "Social_Media_Pagination";
export const GET_ACCESS_LEVELS_BY_USERS = "GET_ACCESS_LEVELS_BY_USERS";
export const GET_POSTS_BY_USER = "GET_POSTS_BY_USER";
export const GET_SPECIFIC_POST = "GET_SPECIFIC_POST";
export const ADD_LIKE = "ADD_LIKE";
export const ADD_COMMENT = "ADD_COMMENT";
export const UPDATE_POST = "UPDATE_POST";
export const DELETE_POST = "DELETE_POST";
export const UPDATE_COMMENT = "UPDATE_COMMENT";
export const DELETE_COMMENT = "DELETE_COMMENT";
export const PROGRESS_BAR = "PROGRESS_BAR";
export const LOAD_MORE_COMMENTS = "LOAD_MORE_COMMENTS";
export const LOAD_MORE_LIKES = "LOAD_MORE_LIKES";
export const ADD_LIKE_COMMENT = "ADD_LIKE_COMMENT";
export const GET_ALL_REPORTS_SUCCESS = "GET_ALL_REPORTS_SUCCESS";
export const GET_ALL_REPORTS_ERROR = "GET_ALL_REPORTS_ERROR";
export const PAGINATION_REPORTS = "PAGINATION_REPORTS";
export const GET_REPORT_By_ID_ERROR = "PAGINATION_REPORTS";
export const SHOW_REPORT_GRID_VIEW_ERROR = "SHOW_REPORT_GRID_VIEW_ERROR";
export const SHOW_REPORT_GRID_VIEW_SUCCESS = "SHOW_REPORT_GRID_VIEW_SUCCESS";
export const GET_REPORT_PARAMETERS_ERROR = "GET_REPORT_PARAMETERS_ERROR";
export const GET_REPORT_PARAMETERS_SUCCESS = "GET_REPORT_PARAMETERS_SUCCESS";
export const GET_REPORT_By_ID_SUCCESS = "GET_REPORT_By_ID_SUCCESS";
export const SELECTED_ITEM_TO_PRINT_REPORT = "SELECTED_ITEM_TO_PRINT_REPORT";

//----- unit plan -----
export const CHANGE_SECTION_ORDER = "section/change-order";
export const CHANGE_ITEM_ORDER = "item/change-order";

export const IMPORT_UNIT_PLAN = "IMPORT_UNIT_PLAN";
export const SAVE_UNIT_PLAN = "SAVE_UNIT_PLAN";
export const EDIT_UNIT_HEADER = "EDIT_UNIT_HEADER";
export const EDIT_ITEM = "EDIT_ITEM";
export const EDIT_SECTION = "EDIT_SECTION";
export const ADD_NEW_SECTION = "ADD_NEW_SECTION";
export const ADD_NEW_ITEM = "ADD_NEW_ITEM";
export const DELETE_ITEM = "DELETE_ITEM";
export const DELETE_SECTION = "DELETE_SECTION";
export const GET_COURSE_UNIT_PLAN_SUCCESS = "GET_COURSE_UNIT_PLAN_SUCCESS";
export const PICK_AN_LESSONPLAN_TO_STORE_UNIT_PLAN = "PICK_AN_LESSONPLAN_TO_STORE_UNIT_PLAN";
export const PICK_AN_RUBRIC_TO_STORE_UNIT_PLAN = "PICK_AN_RUBRIC_TO_STORE_UNIT_PLAN";
export const DELETE_RUBRIC_OR_LESSONPLAN = "DELETE_RUBRIC_OR_LESSONPLAN";
export const ADD_FILE_TO_STORE_UNIT_PLAN = "ADD_FILE_TO_STORE_UNIT_PLAN";
export const DONE_SAVEUNITPLAN = "DONE_SAVEUNITPLAN";
export const EMPTY_STORE_UP = "EMPTY_STORE_UP";
//--------------------------nav
export const ADD_DYNAMIC_NODES = "ADD_DYNAMIC_NODES";
export const SET_CURRENT_NODE = "SET_CURRENT_NODE";
export const GO_BACK = "GO_BACK";
export const SET_CURRENT_NODE_BY_LINK = "SET_CURRENT_NODE_BY_LINK";
export const SET_SITE_MAP = "SET_SITE_MAP";
export const SET_LAYOUT = "SET_LAYOUT";
export const BIND_DYNAMIC_NODES = "BIND_DYNAMIC_NODES";

//-------------------------------Translation
export const ADD_TRANSLATION_ENTRIES = "ADD_TRANSLATION_ENTRIES";
export const CHANGE_LANGUAGE = "CHANGE_LANGUAGE";
export const MONITOR_DATA = "MONITOR_DATA";

//new IM
export const INITIALIZE_IM = "service/im/initialize";

export const SELECT_CHAT = "service/chats/select";
export const PUSH_CONVERSATION = "service/chats/pushChat";
export const CHANGE_POINTER = "service/chats/changePointer";
export const GET_CONVERSATIONS = "service/chats/getConversations";

export const GET_MESSSAGES = "service/messages/getMessages";
export const PUSH_MESSAGE = "service/messages/pushMessage";
export const CHANGE_MESSAGE_STATUS = "service/messages/changeStatus";

//Quote And MonthlyTrait

export const QUOTE_REQUEST = "QUOTE_REQUEST";
export const QUOTE_SUCCESS = "QUOTE_SUCCESS";
export const QUOTE_ERROR = "QUOTE_ERROR";

export const MONTHLY_TRAIT_REQUEST = "MONTHLY_TRAIT_REQUEST";
export const MONTHLY_TRAIT_SUCCESS = "MONTHLY_TRAIT_SUCCESS";
export const MONTHLY_TRAIT_ERROR = "MONTHLY_TRAIT_ERROR";

//Abuse
export const SINGLE_ABUSE_REQUEST = "SINGLE_ABUSE_REQUEST";
export const SINGLE_ABUSE_SUCCESS = "SINGLE_ABUSE_SUCCESS";
export const SINGLE_ABUSE_ERROR = "SINGLE_ABUSE_ERROR";
export const ADD_ABUSE_REQUEST = "ADD_ABUSE_REQUEST";
export const ADD_ABUSE_SUCCESS = "ADD_ABUSE_SUCCESS";
export const ADD_ABUSE_ERROR = "ADD_ABUSE_ERROR";
export const GET_USER_TYPES_REQUEST = "GET_USER_TYPES_REQUEST";
export const GET_USER_TYPES_SUCCESS = "GET_USER_TYPES_SUCCESS";
export const GET_USER_TYPES_ERROR = "GET_USER_TYPES_ERROR";
export const GET_USERS_REQUEST = "GET_USERS_REQUEST";
export const GET_USERS_SUCCESS = "GET_USERS_SUCCESS";
export const GET_USERS_ERROR = "GET_USERS_ERROR";
export const GET_ABUSE_REPORTS_REQUEST = "GET_ABUSE_REPORTS_REQUEST";
export const GET_ABUSE_REPORTS_SUCCESS = "GET_ABUSE_REPORTS_SUCCESS";
export const GET_ABUSE_REPORTS_ERROR = "GET_ABUSE_REPORTS_ERROR";
export const SEEN_ABUSE_REQUEST = "SEEN_ABUSE_REQUEST";
export const SEEN_ABUSE_SUCCESS = "SEEN_ABUSE_SUCCESS";
export const SEEN_ABUSE_ERROR = "SEEN_ABUSE_ERROR";

//track
export const GET_ALL_CARDS_REQUEST = "GET_ALL_CARDS_REQUEST";
export const GET_ALL_CARDS_SUCCESS = "GET_ALL_CARDS_SUCCESS";
export const GET_ALL_CARDS_ERROR = "GET_ALL_CARDS_ERROR";

export const CARD_TRACK_LAST_SEEN_REQUEST = "CARD_TRACK_LAST_SEEN_REQUEST";
export const CARD_TRACK_LAST_SEEN_SUCCESS = "CARD_TRACK_LAST_SEEN_SUCCESS";
export const CARD_TRACK_LAST_SEEN_ERROR = "CARD_TRACK_LAST_SEEN_ERROR";

export const TRACK_RECORDS_REQUEST = "TRACK_RECORDS_REQUEST";
export const TRACK_RECORDS_SUCCESS = "TRACK_RECORDS_SUCCESS";
export const TRACK_RECORDS_ERROR = "TRACK_RECORDS_ERROR";

export const BELL_CURVE_REQUEST = "BELL_CURVE_REQUEST";
export const BELL_CURVE_SUCCESS = "BELL_CURVE_SUCCESS";
export const BELL_CURVE_ERROR = "BELL_CURVE_ERROR";

export const USER_HISTORY_REQUEST = "USER_HISTORY_REQUEST";
export const USER_HISTORY_SUCCESS = "USER_HISTORY_SUCCESS";
export const USER_HISTORY_ERROR = "USER_HISTORY_ERROR";
export const FETCH_ALL_USER_HISTORY = "FETCH_ALL_USER_HISTORY";
export const EMPTY_BELL_CURVE = "EMPTY_BELL_CURVE";

//notifications
export const NOTIFICATION_UNSEEN_REQUEST = "NOTIFICATION_UNSEEN_REQUEST";
export const NOTIFICATION_UNSEEN_SUCCESS = "NOTIFICATION_UNSEEN_SUCCESS";
export const NOTIFICATION_UNSEEN_ERROR = "NOTIFICATION_UNSEEN_ERROR";
export const VIEW_NOTIFICATIONS_REQUEST = "VIEW_NOTIFICATIONS_REQUEST";
export const VIEW_NOTIFICATIONS_SUCCESS = "VIEW_NOTIFICATIONS_SUCCESS";
export const VIEW_NOTIFICATIONS_ERROR = "VIEW_NOTIFICATIONS_ERROR";
export const SET_NOTIFYME_SUCCESS = "SET_NOTIFYME_SUCCESS";
export const RECEIVE_NEW_NOTIFICATIONS = "RECEIVE_NEW_NOTIFICATIONS";
export const REMOVE_NOTIFICATION = "REMOVE_NOTIFICATION";
export const GET_ANNOUNCEMENT_FROM_LOCAL_STORAGE = "GET_ANNOUNCEMENT_FROM_LOCAL_STORAGE";
export const TRACKABLE_RECORD_ASYNC = "TRACKABLE_RECORD_ASYNC";

//---------------------Discussion--------------------------
export const GET_POST_REQUEST = "GET_POST_REQUEST";
export const GET_POST_SUCCESS = "GET_POST_SUCCESS";
export const GET_POST_ERROR = "GET_POST_ERROR";
export const SEARCH_POSTS_REQUEST = "SEARCH_POSTS_REQUEST";
export const SEARCH_POSTS_SUCCESS = "SEARCH_POSTS_SUCCESS";
export const SEARCH_POSTS_ERROR = "SEARCH_POSTS_ERROR";
export const GET_ACCESS_LEVELS_BY_USERS_REQUEST = "GET_ACCESS_LEVELS_BY_USERS_REQUEST";
export const GET_ACCESS_LEVELS_BY_USERS_SUCCESS = "GET_ACCESS_LEVELS_BY_USERS_SUCCESS";
export const GET_ACCESS_LEVELS_BY_USERS_ERROR = "GET_ACCESS_LEVELS_BY_USERS_ERROR";
export const MINIMIZE_SIDEBAR = "MINIMIZE_SIDEBAR";
export const SET_THIRD_SIDEBAR = "SET_THIRD_SIDEBAR";
export const SET_SECONDARY_SIDEBAR = "SET_SECONDARY_SIDEBAR";
export const SET_SECONDARY_SIDEBAR_SHOWN = "SET_SECONDARY_SIDEBAR_SHOWN";
export const SET_THIRD_SIDEBAR_SHOWN = "SET_THIRD_SIDEBAR_SHOWN";
export const SET_THIRD_SIDEBAR_DISABLED = "SET_THIRD_SIDEBAR_DISABLED";
export const SET_THIRD_SIDEBAR_ACTIVE_NAME = "SET_THIRD_SIDEBAR_ACTIVE_NAME";
export const SET_SECOND_SIDEBAR_ACTIVE_NAME = "SET_SECOND_SIDEBAR_ACTIVE_NAME";

//------------------------------------------------------------------

//--------------------Lesson------------------------------
export const POST_ADD_LESSON_REQUEST = "POST_ADD_LESSON_REQUEST";
export const POST_ADD_LESSON_SUCCESS = "POST_ADD_LESSON_SUCCESS";
export const POST_ADD_LESSON_ERROR = "POST_ADD_LESSON_ERROR";
export const CHANGE_STATUS_LESSON_REQUEST = "CHANGE_STATUS_LESSON_REQUEST";
export const CHANGE_STATUS_LESSON_SUCCESS = "CHANGE_STATUS_LESSON_SUCCESS";
export const CHANGE_STATUS_LESSON_ERROR = "CHANGE_STATUS_LESSON_ERROR";
export const GET_SECTION_LESSONS_REQUEST = "GET_SECTION_LESSONS_REQUEST";
export const GET_SECTION_LESSONS_SUCCESS = "GET_SECTION_LESSONS_SUCCESS";
export const GET_SECTION_LESSONS_ERROR = "GET_SECTION_LESSONS_ERROR";
export const GET_SECTION_STUDENTS_REQUEST = "GET_SECTION_STUDENTS_REQUEST";
export const GET_SECTION_STUDENTS_SUCCESS = "GET_SECTION_STUDENTS_SUCCESS";
export const GET_SECTION_STUDENTS_ERROR = "GET_SECTION_STUDENTS_ERROR";
export const REMOVE_LESSON_LESSON_REQUEST = "REMOVE_LESSON_LESSON_REQUEST";
export const REMOVE_LESSON_LESSON_SUCCESS = "REMOVE_LESSON_LESSON_SUCCESS";
export const REMOVE_LESSON_LESSON_ERROR = "REMOVE_LESSON_LESSON_ERROR";
export const GET_LESSON_BY_ID_REQUEST = "GET_LESSON_BY_ID_REQUEST";
export const GET_LESSON_BY_ID_SUCCESS = "GET_LESSON_BY_ID_SUCCESS";
export const GET_LESSON_BY_ID_ERROR = "GET_LESSON_BY_ID_ERROR";

//------------------------------------------------------------------

//--------------------------Attendance------------------------------

export const CHANGE_STUDENT_ATTENDANCE = "CHANGE_STUDENT_ATTENDANCE";
export const ADD_NEW_SETTING_TYPE = "ADD_NEW_SETTING_TYPE";

//-------------------------------------------------------------------

//--------------------------School Management-------------------------
export const GET_SCHOOL_INFO = "GET_SCHOOL_INFO";
export const FLAG_TO_CHECK_IF_WEEKLY_SCHEDULE_HAVE_EVENTS = "FLAG_TO_CHECK_IF_WEEKLY_SCHEDULE_HAVE_EVENTS";

export const EDIT_SCHOOL_INFO_SUCCESS = "EDIT_SCHOOL_INFO";
export const EDIT_SCHOOL_INFO_REQUEST = "EDIT_SCHOOL_INFO_REQUEST";
export const EDIT_SCHOOL_INFO_ERROR = "EDIT_SCHOOL_INFO_ERROR";
export const GET_SCHOOL_TREE_REQUEST = "GET_SCHOOL_TREE";
export const GET_SCHOOL_TREE_ERROR = "GET_SCHOOL_TREE_ERROR";
export const GET_SCHOOL_TREE_SUCCESS = "GET_SCHOOL_TREE_SUCCESS";
export const SET_OPEN_STAGE_ID = "SET_OPEN_STAGE_ID";
export const SET_OPEN_GRADE_LEVEL_ID = "SET_OPEN_GRADE_LEVEL_ID";
export const SET_OPEN_CURRICULA = "SET_OPEN_CURRICULA";
export const ADD_EDUCATION_STAGE = "ADD_EDUCATION_STAGE";
export const ADD_GRADE_LEVEL = "ADD_GRADE_LEVEL";
export const ADD_CURRICULA = "ADD_CURRICULA";
export const SAVE_EDUCATION_STAGE = "SAVE_EDUCATION_STAGE";
export const SAVE_GRADE_LEVEL = "SAVE_GRADE_LEVEL";
export const SAVE_CURRICULA = "SAVE_CURRICULA";
export const DELETE_EDUCATION_STAGE = "DELETE_EDUCATION_STAGE";
export const DELETE_GRADE_LEVEL = "DELETE_GRADE_LEVEL";
export const DELETE_CURRUICLA = "DELETE_CURRUICLA";
export const DISABLE_ACTIVE_STAGE = "DISABLEACTIVESTAGE";
export const DISABLE_ACTIVE_GRADE_LEVEL = "DISABLE_ACTIVE_GRADE_LEVEL";
export const DISABLE_ACTIVE_CURRICULA = "DISABLE_ACTIVE_CURRICULA";
export const GET_EDUCATION_PRINCIPALS = "SET_EDUCATION_PRINCIPALS";
export const GET_DATA_FOR_TYPE = "GET_DATA_FOR_TYPE";
export const SELECT_ALL_PRINCIPALS = "SELECT_ALL_PRINCIPALS";
export const SELECT_ALL_STUDENTS = "SELECT_ALL_STUDENTS";
export const CLEAR_ALL_PRINCIPALS = "CLEAR_ALL_PRINCIPALS";
export const CLEAR_ALL_STUDENTS = "CLEAR_ALL_STUDENTS";
export const SELECT_PRINCIPAL = "SELECT_PRINCIPALS";
export const SELECT_STUDENT = "SELECT_STUDENT";
export const UN_SELECT_PRINCIPAL = "UN_SELECT_PRINCIPAL";
export const UN_SELECT_STUDENT = "UN_SELECT_USER";
export const REORDER_EDUCATION_STAGES = "REORDER_EDUCATION_STAGES";
export const REORDER_GRADE_LEVELS = "REORDER_GRADE_LEVELS";
export const REORDER_CURRICULAS = "REORDER_CURRICULAS";
export const UPDATE_EDUCATION_ORDER = "UPDATE_EDUCATION_ORDER";
export const UPDATE_GRADE_LEVEL_ORDER = "UPDATE_GRADE_LEVEL_ORDER";
export const UPDATE_CURRICULA_ORDER = "UPDATE_CURRICULA_ORDER";
export const SET_COURSES_CATEGORIES = "SET_COURSES_CATEGORIES";
export const SET_ACTIVE_COURSES = "SET_ACTIVE_COURSES";
export const FETCHING_COURSES = "FETCHING_COURSES";
export const TOGGLE_COURSE_SELECTION = "TOGGLE_COURSE_SELECTION";
export const GET_CANDIDATE_PRINCIPALS = "GET_CANDIDATE_PRINCIPALS";
export const SELECT_CANDIDATE_PRINCIPAL = "SELECT_CANDIDATE_PRINCIPAL";
export const UN_SELECT_CANDIDATE_PRINCIPAL = "UN_SELECT_CANDIDATE_PRINCIPAL";
export const SELECT_CANDIDATE_STUDENT = "SELECT_CANDIDATE_STUDENT";
export const UN_SELECT_CANDIDATE_STUDENT = "UN_SELECT_CANDIDATE_STUDENT";
export const ADD_PRINCAPLE_TO_STAGE = "ADD_PRINCAPLE_TO_STAGE";
export const GET_STUDENT_FOR_GRADE = "GET_STUDENT_FOR_EDUCATION";
export const GET_CANDIDATE_STUDENTS_FOR_GRADE = "GET_CANDIDATE_STUDENTS_FOR_GRADE";
export const ADD_STUDENTS_TO_GRADE = "ADD_STUDENTS_TO_GRADE";
export const DELETE_STUDENTS_FROM_GRADE = "DELETE_STUDENTS_FROM_GRADE";
export const DELETE_PRINCIPALS_FOR_STAGE = "DELETE_PRINCIPALS_FOR_STAGE";
export const GET_ORGANIZATION_PERIODS = "GET_ORGANIZATION_PERIODS";
export const ADD_PERIOD = "ADD_PERIOD";
export const TOGGLE_PERIOD_SAVED_STATUS = "TOGGLE_PERIOD_SAVED_STATUS";
export const DELETE_PERIOD = "DELETE_PERIOD";
export const GET_CURRICULA_COURSES = "GET_CURRICULA_COURSES";
export const ADD_COURSE_TO_CURRICULA = "ADD_COURSE_TO_CURRICULA";
export const CHANGE_PERIOD_INPUT_VALUE = "CHANGE_PERIOD_INPUT_VALUE";
export const EDIT_PERIOD = "EDIT_PERIOD";
export const ADD_NEW_PERIOD = "ADD_NEW_PERIOD";
export const CHANGE_PERIOD_FROM_TIME = "CHANGE_PERIOD_FROM_TIME";
export const CHANGE_PERIOD_TO_TIME = "CHANGE_PERIOD_TO_TIME";
export const SET_TITLE_TOUCHED = "SET_TITLE_TOUCHED";
export const SET_FROM_TIME_TOUCHED = "SET_FROM_TIME_TOUCHED";
export const SET_TO_TIME_TOUCHED = "SET_TO_TIME_TOUCHED";
export const SET_GRADE_SCALE = "SET_GRADE_SCALE";
export const SET_LETTER_INPUT_SAVED = "SET_LETTER_INPUT_SAVED";
export const SET_MIN_INPUT_SAVED = "SET_MIN_INPUT_SAVED";
export const SET_MAX_INPUT_SAVED = "SET_MAX_INPUT_SAVED";
export const SET_GPA_INPUT_SAVED = "SET_GPA_INPUT_SAVED";
export const SET_SCALE_INPUT_SAVED = "SET_SCALE_INPUT_SAVED";
export const SET_SCLAE_INPUT_TOUCHED = "SET_SCLAE_INPUT_TOUCHED";
export const CHANGE_SCALE_INPUT_VALUE = "CHANGE_SCALE_INPUT_VALUE";
export const EDIT_SCALE_DETAIL = "EDIT_SCALE";
export const SET_GRADE_ASSESSMENTS = "SET_GRADE_ASSESSMENTS";
export const SET_ASSESSMENT_TOUCHED = "SET_ASSESSMENT_TOUCHED";
export const SET_ASSESSMENT_SAVED = "SET_ASSESSMENT_SAVED";
export const ADD_EDIT_ASSESSMENT = "ADD_EDIT_ASSESSMENT";
export const CHANGE_ASSESSMENT_INPUT = "CHANGE_ASSESSMENT_INPUT";
export const SET_ASSESSMENT_TIMESTAMP = "SET_ASSESSMENT_TIMESTAMP";
export const DELETE_ASSESSMENT = "DELETE_ASSESSMENT";
export const ADD_NEW_ASSESSMENT = "ADD_NEW_ASSESSMENT";
export const TOGGLE_SELECT_MODE_ON = "TOGGLE_SELECT_MODE_ON";
export const TOGGLE_SELECT_MODE_OFF = "TOGGLE_SELECT_MODE_OFF";
export const GETTING_PERIODS = "GETTING_PERIODS";
export const FINISHING_PERIODS = "FINISHING_PERIODS";
export const GETTING_GRADE_SCALE = "GETTING_GRADE_SCALE";
export const FINISHING_GRADE_SCALE = "FINISHING_GRADE_SCALE";
export const GETTING_PRINCIPALS = "GETTING_PRINCIPALS";
export const FINISHING_PRINCIPALS = "FINISHING_PRINCIPALS";
export const GETTING_STUDENTS = "GETTING_STUDENTS";
export const FINISHING_STUDENTS = "FINISHING_STUDENTS";
export const GETTING_ASSESSMENTS = "GETTING_ASSESSMENTS";
export const FINISHING_ASSESSMENTS = "FINISHING_ASSESSMENTS";
export const GETTING_CANDIDATES_PRINCIPALS = "GETTING_CANDIDATES_PRINCIPALS";
export const FINISHING_CANDIDATES_PRINCIPALS = "FINISHING_CANDIDATES_PRINCIPALS";
export const GETTING_CANDIDATES_STUDENTS = "GETTING_CANDIDATES_STUDENTS";
export const FINISHING_CANDIDATES_STUDENTS = "FINISHING_CANDIDATES_STUDENTS";
export const GETTING_CURRICULA_CONTENT = "GETTING_CURRICULA_CONTENT";
export const FINISHING_CURRICULA_CONTENT = "FINISHING_CURRICULA_CONTENT";
export const GETTING_COURSES = "GETTING_COURSES";
export const FINISHING_COURSES = "FINISHING_COURSES";
export const UPDATE_ASSESSMENT = "UPDATE_ASSESSMENT";
export const ADD_STUDENT_AFTER_CREATING = "ADD_STUDENT_AFTER_CREATING";
export const ADD_PRINCIAPLE_AFTER_CREATING = "ADD_PRINCIAPLE_AFTER_CREATING";
export const GETTING_SCHOOL_INFO = "GETTING_SCHOOL_INFO";
export const FINISHING_SCHOOL_INFO = "FINISHING_SCHOOL_INFO";
export const GETTING_SCHOOL_TREE = "GETTING_SCHOOL_TREE";
export const FINISHING_SCHOOL_TREE = "FINISHING_SCHOOL_TREE";
export const SAVE_PERIOD_INPUT = "SAVE_PERIOD_INPUT";
export const UNSAVE_PERIOD_INPUT = "UNSAVE_PERIOD_INPUT";
export const SAVE_ASSESSMENT_INPUT = "SAVE_ASSESSMENT_INPUT";
export const UNSAVE_ASSESSMENT_INPUT = "UNSAVE_ASSESSMENT_INPUT";
export const CREATEING_CURRICULA_CATEGORY = "CREATEING_CURRICULA_CATEGORY";
export const FINISHING_CURRICULA_CATEGORY = "FINISHING_CURRICULA_CATEGORY";
export const SAVE_CATEGORY_AS_CURRICULA = "SAVE_CATEGORY_AS_CURRICULA";
export const SET_INVALIDATE_PERIOD_TRUE = "SET_INVALIDATE_PERIOD_TRUE";
export const SET_INVALIDATE_PERIOD_FALSE = "SET_INVALIDATE_PERIOD_FALSE";
